<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Tracing](./puppeteer.tracing.md)

## Tracing class

<b>Signature:</b>

```typescript
export declare class Tracing 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(client)](./puppeteer.tracing._constructor_.md) |  | Constructs a new instance of the <code>Tracing</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_client](./puppeteer.tracing._client.md) |  | [CDPSession](./puppeteer.cdpsession.md) |  |
|  [\_path](./puppeteer.tracing._path.md) |  | string |  |
|  [\_recording](./puppeteer.tracing._recording.md) |  | boolean |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [start(options)](./puppeteer.tracing.start.md) |  |  |
|  [stop()](./puppeteer.tracing.stop.md) |  |  |

